Support » Plugin: Theme Check » Creates confusion

  • wackao

    (@wackao)



    Throws warning on userful functions. It seems the plugin assumes that some function base64_encode/decoe are only used for hacking purpose “only”, it is a very effective function which can be used in multiple ways to encrypt and decrypt data which you do not want wordpress to process. Not only does this create confusion in users but you’re spreading a wrong message.

Viewing 1 replies (of 1 total)
  • Plugin Author Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    The use of base64_encode and decode are prohibited for themes in the theme repository, mainly because they are primarily used for malware in themes, but also because they have no real legitimate usage in a theme. There are alternative methods for any real uses which make more sense and which are more transparent.

Viewing 1 replies (of 1 total)
  • The topic ‘Creates confusion’ is closed to new replies.